{% extends 'navbar-admin.html' %}

{% block content_block %}

<h1 class="text-center pt-4">Daftar Request</h1>
<div class="container pb-4">
    <form action="{% url 'adminadopet:search' %}" method="GET">
        <div class="col">
            <label for="searchpet">Search pet</label>
            <input type="search" class="form-control" id="search" name="search" placeholder="Search">
            <div class="text-center mt-3 mb-2">
                <button class="btn orange-btn filter-btn" id="btn-all">All</button>
                <button class="btn orange-btn filter-btn" id="btn-cats">Post Artikel</button>
                <button class="btn orange-btn filter-btn" id="btn-dogs">Post Donasi</button>
            </div>
            <button class="button" type="submit">Search</button>
        </div>
    </form>
    <div class="row" id="all-pet">
        {% if database %}
            {% for i in database %}
            {% if i.verifikasi == False %}
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 card-square">
                <div class="card h-100">
                    <div class="card-body">
                        <div class="card-judul">
                            <h5 class="card-title">{{i.nama_hewan}}</h5>
                        </div>
                        <div class="card-isi">
                            <p class="card-text">{{i.lokasi_perawatan}} - {{i.biaya_perawatan}}</p>
                            <p class="card-keterangan">{{i.keterangan}}</p>									 				
                        </div class="card-bottom">
                        <p class="card-kategori">#{{i.kategori}}</p>
                        <a type="button" onclick="location.href='/admin-adopet/eval-open-donasi/{{i.id}}'" target="_blank" class="btn btn-detail">Lihat Detail</a><br>
                    </div>
                </div>
            </div>
            {% endif %}
            {% endfor %}
        {% endif %}
        {% if post_artikel %}
            {% for k in post_artikel %}
            {% if k.verifikasi_artikel == False %}
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 card-square">
                <div class="card h-100">
                    <div class="card-body">
                        <div class="card-judul">
                            <h5 class="card-title">{{k.judul_artikel}}</h5>
                        </div>
                        <div class="card-isi">
                            <p class="card-keterangan">{{k.isi_artikel}}</p>									 				
                        </div class="card-bottom">
                            <p class="card-kategori">#{{k.tag_artikel}}</p>
                            <a type="button" onclick="location.href='/admin-adopet/eval-artikel/{{k.id}}'" target="_blank" class="btn btn-detail">Lihat Detail</a><br>
                    </div>
                </div>
            </div>
            {% endif %}
            {% endfor %}
        {% else %}
		<div class="container my-5 text-center">
			Sorry, there are no current posts.<br><strong>Check back soon!</strong>
		</div>
		{% endif %}

    </div>
{% endblock content_block %}